# hwloc_obj_memory_s::hwloc_obj_memory_page_type_s Struct Reference

Array of local memory page types, `NULL` if no local memory and `page_types` is 0. More...

`#include <hwloc.h>`

## Data Fields

uint64_t | size
| Size of pages.
uint64_t | count
| Number of pages of this size.

## Detailed Description

Array of local memory page types, `NULL` if no local memory and `page_types` is 0.

The array is sorted by increasing `size` fields. It contains `page_types_len` slots.

## Field Documentation

uint64_t hwloc_obj_memory_s::hwloc_obj_memory_page_type_s::count

Number of pages of this size.

uint64_t hwloc_obj_memory_s::hwloc_obj_memory_page_type_s::size

Size of pages.

The documentation for this struct was generated from the following file:

- hwloc.h